Get a deck
curl --request GET \
--url https://app.demand-iq.com/api/decks/{deckId} \
--cookie session=import requests
url = "https://app.demand-iq.com/api/decks/{deckId}"
headers = {"cookie": "session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'session='}};
fetch('https://app.demand-iq.com/api/decks/{deckId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deck": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "structured",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": {
"deckContext": "<string>",
"voiceProvider": "elevenlabs"
},
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"slides": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slideId": "<string>",
"title": "<string>",
"bullets": [
"<string>"
],
"narration_script": "<string>",
"orderIndex": 123,
"slideType": "standard",
"slide_context": "<string>",
"audio_url": "<string>",
"hero_img": "<string>",
"hero_img_thumb": "<string>",
"wordTimings": [
{
"word": "<string>",
"startTime": 123,
"endTime": 123
}
]
}
],
"faqs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userQuestion": "<string>",
"cannedAnswer": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"relatedSlideId": "<string>",
"audioUrl": "<string>",
"wordTimings": [
{
"word": "<string>",
"startTime": 123,
"endTime": 123
}
]
}
],
"branding": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"palette": {
"primary": "#1a73e8",
"primaryLight": "#4a9af5",
"accent": "#fbbc04",
"neutral": "#5f6368",
"text": "#202124",
"userMessage": "#1a73e8",
"assistantMessage": "#f1f3f4"
},
"cta": {
"headline": "<string>",
"body": "<string>",
"buttonText": "<string>",
"buttonUrl": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"logo": "<string>",
"avatar": "<string>",
"chatName": "<string>",
"chatGreeting": "<string>"
},
"qaSettings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resumePromptText": "<string>",
"transitionPromptText": "<string>",
"resumeAudioUrl": "<string>",
"resumeVoiceId": "<string>",
"transitionAudioUrl": "<string>",
"transitionVoiceId": "<string>"
},
"presentationsCount": 123,
"generation": {
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"currentSlide": 123,
"totalSlides": 123,
"progress": 123,
"error": "<string>",
"slidesCreated": 123,
"faqsCreated": 123,
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Decks
Get a deck
Returns the full deck including slides, FAQs, branding, and Q&A settings.
GET
/
api
/
decks
/
{deckId}
Get a deck
Authorizations
Session cookie obtained from POST /api/auth/login.
Path Parameters
UUID of the deck
Response
Full deck data
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The latest unsettled generation job; null once it completed or if the deck was never generated
Show child attributes
Show child attributes